Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get import

GET/workspaces/{organizationId}/import/{jobId}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
jobIdstringrequired
Responses
200

Import job status

idstringrequired
sourcestringrequired
statusstringrequired
countsobject
errorstring
approvalobject
Show properties
statusstringrequired
approvedBystring
404

Import job not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/import/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "source": "string",
  "status": "string",
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "error": "string",
  "approval": {
    "status": "string",
    "approvedBy": "string"
  }
}

Was this page helpful?